package com.nisum.offertransactionservice.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "endpoint.url")
public class OfferTransactionConfig {


    private String storeConsumerUrl;

    private String scBaseUrl;

    private String promotionEngineUrl;

    private String peBaseUrl;




    public String getScBaseUrl() {
        return scBaseUrl;
    }

    public String getStoreConsumerUrl() {
        return storeConsumerUrl;
    }

    public void setStoreConsumerUrl(String storeConsumerUrl) {
        this.storeConsumerUrl = storeConsumerUrl;
    }

    public void setScBaseUrl(String scBaseUrl) {
        this.scBaseUrl = scBaseUrl;
    }

    public String getPromotionEngineUrl() {
        return promotionEngineUrl;
    }

    public void setPromotionEngineUrl(String promotionEngineUrl) {
        this.promotionEngineUrl = promotionEngineUrl;
    }

    public String getPeBaseUrl() {
        return peBaseUrl;
    }

    public void setPeBaseUrl(String peBaseUrl) {
        this.peBaseUrl = peBaseUrl;
    }
}